FrontBase Functions
fbsql_autocommit
FrontBase Functions
PHP Manual

# fbsql_affected_rows

Get number of affected rows in previous FrontBase operation

### Description

int fbsql_affected_rows ([ resource `$link_identifier` ] )

fbsql_affected_rows returns the number of rows affected by the last INSERT, UPDATE or DELETE query associated with `link_identifier`.

> Note:

> If you are using transactions, you need to call fbsql_affected_rows after your INSERT, UPDATE, or DELETE query, not after the commit.

If the last query was a DELETE query with no WHERE clause, all of the records will have been deleted from the table but this function will return zero.

> Note:

> When using UPDATE, FrontBase will not update columns where the new value is the same as the old value. This creates the possibility that fbsql_affected_rows may not actually equal the number of rows matched, only the number of rows that were literally affected by the query.

### Parameters

`link_identifier`

  A FrontBase link identifier returned by fbsql_connect or fbsql_pconnect.

  If optional and not specified, the function will try to find an open link to the FrontBase server and if no such link is found it will try to create one as if fbsql_connect was called with no arguments.

### Return Values

If the last query failed, this function will return -1.

### See Also

- fbsql_num_rows